Index: trip-planner/pom.xml
===================================================================
--- trip-planner/pom.xml	(revision 188ee53d7e92cd841a2f812afa7a47793c1280f2)
+++ trip-planner/pom.xml	(revision 6a8023106281cf8cc9e4dc316984fdb52cdcf8e2)
@@ -35,5 +35,4 @@
             <artifactId>spring-boot-starter-webflux</artifactId>
         </dependency>
-
         <dependency>
             <groupId>org.springframework.boot</groupId>
@@ -76,9 +75,13 @@
             <version>0.0.1-SNAPSHOT</version>
         </dependency>
-
         <dependency>
             <groupId>com.github.ulisesbocchio</groupId>
             <artifactId>jasypt-spring-boot-starter</artifactId>
             <version>3.0.3</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.httpcomponents</groupId>
+            <artifactId>httpclient</artifactId>
+            <scope>test</scope>
         </dependency>
     </dependencies>
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/models/Planner.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/models/Planner.java	(revision 188ee53d7e92cd841a2f812afa7a47793c1280f2)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/models/Planner.java	(revision 6a8023106281cf8cc9e4dc316984fdb52cdcf8e2)
@@ -2,4 +2,5 @@
 
 import lombok.*;
+import reactor.util.annotation.Nullable;
 
 import javax.persistence.*;
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/models/dto/PlannerDto.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/models/dto/PlannerDto.java	(revision 188ee53d7e92cd841a2f812afa7a47793c1280f2)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/models/dto/PlannerDto.java	(revision 6a8023106281cf8cc9e4dc316984fdb52cdcf8e2)
@@ -1,5 +1,4 @@
 package finki.diplomska.tripplanner.models.dto;
 
-import finki.diplomska.tripplanner.models.Location;
 import lombok.Data;
 
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/CategoryService.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/CategoryService.java	(revision 188ee53d7e92cd841a2f812afa7a47793c1280f2)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/CategoryService.java	(revision 6a8023106281cf8cc9e4dc316984fdb52cdcf8e2)
@@ -7,3 +7,4 @@
 public interface CategoryService {
     List<Category> findAll();
+
 }
Index: trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/PlannerServiceImpl.java
===================================================================
--- trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/PlannerServiceImpl.java	(revision 188ee53d7e92cd841a2f812afa7a47793c1280f2)
+++ trip-planner/src/main/java/finki/diplomska/tripplanner/service/impl/PlannerServiceImpl.java	(revision 6a8023106281cf8cc9e4dc316984fdb52cdcf8e2)
@@ -51,4 +51,5 @@
     @Override
     public Optional<Planner> newPlanner(PlannerDto plannerDto) {
+        /*
         List<Location> locationList  = new ArrayList<>();
         for(Long location : plannerDto.getLocationList()){
@@ -57,5 +58,7 @@
             locationList.add(loc);
         }
-        return Optional.of(this.plannerRepository.save(new Planner(plannerDto.getName(), plannerDto.getDescription(),  locationList)));
+
+         */
+           return Optional.of(this.plannerRepository.save(new Planner(plannerDto.getName(), plannerDto.getDescription(), null)));
     }
 
Index: trip-planner/src/test/api.http
===================================================================
--- trip-planner/src/test/api.http	(revision 188ee53d7e92cd841a2f812afa7a47793c1280f2)
+++ trip-planner/src/test/api.http	(revision 6a8023106281cf8cc9e4dc316984fdb52cdcf8e2)
@@ -15,5 +15,5 @@
 Content-Type: application/json
 
-{"name": "Sixth Planner Check", "description": "First Planner Description", "locationList" : []}
+{"name": "Second Planner Check", "description": "Second Planner Description", "locationList" : []}
 
 ###
